# $Revision: 1.73 $, $Date: 2011/11/02 09:03:09 $
#
# BIG FAT WARNING:
#	- expect requires mounted /dev/pts to avoid `spawn failed' errors.
#
%bcond_without	tests
Summary:	Tcl expect extension
Summary(de.UTF-8):	Tcl-Erweiterung
Summary(fr.UTF-8):	Extension Tcl
Summary(pl.UTF-8):	Rozszerzenie Tcl expect
Summary(ru.UTF-8):	Расширение Tcl для управления программами из скриптов
Summary(tr.UTF-8):	Programlar arası etkileşimi mümkün kılan Tcl genişletmesi
Summary(uk.UTF-8):	Розширення Tcl для керування програмами зі скриптів
Name:		expect
Version:	5.45
Release:	1
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://downloads.sourceforge.net/project/expect/Expect/%{version}/%{name}%{version}.tar.gz
# Source0-md5:	44e1a4f4c877e9ddc5a542dfa7ecc92b
Patch0:		%{name}-pty.patch
Patch1:		%{name}-bug7869.patch
Patch2:		%{name}-soname.patch
URL:		http://expect.nist.gov/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.5.0
BuildRequires:	tk-devel >= 8.5.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
Requires:	tcl >= 8.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	/usr/lib

%description
Expect is a tool for automating interactive applications such as
telnet, ftp, passwd, fsck, rlogin, tip, etc. It makes it easy for a
script to control another program and interact with it.

%description -l pl.UTF-8
Expect to narzędzie do automatyzacji interakcji z aplikacjami takimi
jak telnet, ftp, passwd, fsck, rlogin, tip itp. Expect pozwala w łatwy
sposób przy pomocy skryptu kontrolować inny program.

%description -l de.UTF-8
Expect ist ein Tool zur Automatisierung interaktiver Applikationen wie
telnet, ftp, passwd, fsck, rlogin, tip usw. Mit seiner Hilfe kann ein
Skript ein anderes Programm sehr leicht steuern oder damit
interagieren.

%description -l fr.UTF-8
expect est un un outil pour automatiser les applications interactives
comme telnet, ftp, passwd, fsck, rlogin, tip, etc. Il est alors facile
pour un script de contrôler un autre programme et d'interagir avec
lui.

%description -l tr.UTF-8
Expect telnet, ftp, passwd, fsck, rlogin, tip gibi etkileşimli
uygulamaları otomatize etmeye yarayan bir araçtır. Bir uygulamanın bir
diğer uygulamayı denetlemesini kolaylaştırır.

%description -l ru.UTF-8
Expect - это инструмент для автоматизации интерактивных программ,
таких как telnet, ftp, passwd, fsck, rlogin, tip, и т.п. Позволяет
управлять программами и взаимодействовать с ними из скриптов.

%description -l uk.UTF-8
Expect - це інструмент для автоматизації інтерактивних програм, таких
як telnet, ftp, passwd, fsck, rlogin, tip, і т.і. Дозволяє керувати
програмами та взаємодіяти з ними зі скриптів.

%package X11
Summary:	Tk extension
Summary(pl.UTF-8):	Rozszerzenie Tk
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}

%description X11
This package contains expectk, which is an Tk extension, just as
expect Tcl extension.

%description X11 -l pl.UTF-8
Ten pakiet zawiera expectk, który jest rozszerzeniem dla Tk takim jak
expect jest dla Tcl.

%package devel
Summary:	Tcl expect extension header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do rozszerzenia expect języka Tcl
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}
Requires:	tcl-devel >= 8.5.0
Obsoletes:	expect-static

%description devel
Tcl expect extension language header files and development
documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do rozszerzenia expect języka Tcl.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

chmod +w {.,testsuite}/configure

%build
install /usr/share/automake/config.* .
# only local macros, don't call aclocal
%{__autoconf}
cd testsuite
%{__autoconf} -I ..
cd ..
CFLAGS="%{rpmcflags} -I%{_includedir}/tcl-private/unix"
%configure \
%if "%{_lib}" == "lib64"
	--enable-64bit \
%endif
	--enable-gcc \
	--enable-shared \
	--with-tclconfig=%{_ulibdir} \
	--with-tkconfig=%{_ulibdir} \
	--with-tclinclude=%{_includedir} \
	--with-tkinclude=%{_includedir}

%{__make}

%{?with_tests:%{__make} test TCLSH_PROG=tclsh}

%install
rm -rf $RPM_BUILD_ROOT

LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} \
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	TCLSH_PROG=tclsh

mv -f $RPM_BUILD_ROOT%{_bindir}/{rftp,rftp-expect}

mv -f $RPM_BUILD_ROOT%{_libdir}/expect%{version}/libexpect%{version}.so $RPM_BUILD_ROOT%{_libdir}
ln -sf ../libexpect%{version}.so $RPM_BUILD_ROOT%{_libdir}/expect%{version}/libexpect%{version}.so
ln -sf libexpect%{version}.so $RPM_BUILD_ROOT%{_libdir}/libexpect.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog FAQ HISTORY NEWS README
%attr(755,root,root) %{_bindir}/autoexpect
%attr(755,root,root) %{_bindir}/autopasswd
%attr(755,root,root) %{_bindir}/cryptdir
%attr(755,root,root) %{_bindir}/decryptdir
%attr(755,root,root) %{_bindir}/dislocate
%attr(755,root,root) %{_bindir}/expect
%attr(755,root,root) %{_bindir}/ftp-rfc
%attr(755,root,root) %{_bindir}/kibitz
%attr(755,root,root) %{_bindir}/lpunlock
%attr(755,root,root) %{_bindir}/mkpasswd
%attr(755,root,root) %{_bindir}/passmass
%attr(755,root,root) %{_bindir}/rftp-expect
%attr(755,root,root) %{_bindir}/rlogin-cwd
%attr(755,root,root) %{_bindir}/timed-read
%attr(755,root,root) %{_bindir}/timed-run
%attr(755,root,root) %{_bindir}/unbuffer
%attr(755,root,root) %{_bindir}/weather
%attr(755,root,root) %{_libdir}/libexpect%{version}.so
%dir %{_libdir}/expect%{version}
%attr(755,root,root) %{_libdir}/expect%{version}/pkgIndex.tcl
%attr(755,root,root) %{_libdir}/expect%{version}/libexpect%{version}.so
%{_mandir}/man1/autoexpect.1*
%{_mandir}/man1/cryptdir.1*
%{_mandir}/man1/decryptdir.1*
%{_mandir}/man1/dislocate.1*
%{_mandir}/man1/expect.1*
%{_mandir}/man1/kibitz.1*
%{_mandir}/man1/mkpasswd.1*
%{_mandir}/man1/passmass.1*
%{_mandir}/man1/unbuffer.1*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/multixterm
%attr(755,root,root) %{_bindir}/tknewsbiff
%attr(755,root,root) %{_bindir}/tkpasswd
%attr(755,root,root) %{_bindir}/xkibitz
%attr(755,root,root) %{_bindir}/xpstat
%{_mandir}/man1/multixterm.1*
%{_mandir}/man1/tknewsbiff.1*
%{_mandir}/man1/xkibitz.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexpect.so
%{_includedir}/expect*.h
%{_includedir}/tcldbg.h
%{_mandir}/man3/libexpect.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: expect.spec,v $
Revision 1.73  2011/11/02 09:03:09  arekm
- typo

Revision 1.72  2011/11/02 08:33:34  arekm
- up to 5.45; add make test

Revision 1.71  2010/10/02 10:45:15  qboosh
- updated to 5.44.1.15
- updated soname patch (no .0.0 suffix, just set soname)
- removed obsolete alpha,lib64,build,tcl85 patches
- dropped static package (not built if shared library is built)

Revision 1.70  2008/01/19 17:33:51  hawk
- added xorg BRs required to link expectk, some guru may check if they're
  really required

Revision 1.69  2008-01-19 16:45:18  hawk
- fix compilation with tcl 8.5, thus BR tcl/tk 8.5
- release 2

Revision 1.68  2007-03-20 10:24:46  pluto
- big fat warning.

Revision 1.67  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.66  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.65  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.64  2005/11/20 13:11:03  qboosh
- updated to 5.43.0
- hack CFLAGS to point to tcl-private/unix headers

Revision 1.63  2005/11/14 09:04:58  pluto
- build fixed (tcl private includes).
- release 2.

Revision 1.62  2005/06/06 20:32:55  pluto
- compilation fix.

Revision 1.61  2005/05/11 13:43:38  qboosh
- more general lib64 if

Revision 1.60  2004/08/05 22:43:07  qboosh
- updated to 5.42.1, removed obsolete jbj patch

Revision 1.59  2004/04/22 23:00:24  qboosh
- updated to 5.41.0

Revision 1.58  2004/04/12 22:36:10  qboosh
- updated to 5.40.1

Revision 1.57  2004/03/07 00:37:34  qboosh
- require tcl with new soname patch

Revision 1.56  2004/03/06 22:32:34  qboosh
- updated to 5.40.0
- updated shlib version setting in soname patch

Revision 1.55  2004/01/02 17:15:33  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.54  2003/12/28 17:01:41  jajcus
- AMD64 fixes

Revision 1.53  2003/12/18 19:56:59  undefine
- release 2 to rebuild with ac

Revision 1.52  2003/08/28 08:20:31  ankry
- cosmetics

Revision 1.51  2003/08/07 22:04:42  qboosh
- added alpha patch remainder (for mistake probably harmless, but...)

Revision 1.50  2003/08/02 21:21:48  grzegol
- updated to 5.39
- commented out alpha patch (probably in surces, but I'm not sure)
- more docs

Revision 1.49  2003/07/13 20:48:51  grzegol
- updated to 5.38.3

Revision 1.48  2003/06/17 19:13:10  qboosh
- added soname patch (adds soname, removes rpath)
- removed BR glibc-static (seems not needed now)
- release 2, ready for tcl+tk 8.4.3

Revision 1.47  2003/06/13 15:47:34  ankry
- md5

Revision 1.46  2003/05/25 05:47:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.45  2003/03/14 20:21:46  qboosh
- added multixterm to files

Revision 1.44  2003/03/11 11:22:38  qboosh
- switched to versioned sources

Revision 1.43  2003/03/02 15:31:49  radek
- version 5.38 (can somebody update SOURCES?)

Revision 1.42  2002/11/27 19:36:46  juandon
- new %%doc

Revision 1.41  2002/10/09 13:14:21  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.40  2002/05/21 23:13:00  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.39  2002/05/02 20:05:20  filon
- updated to 5.37
- changes source adress (on scriptics there is only old version)
- fixed building
- STBR

Revision 1.38  2002/05/01 20:46:45  filon
- hacked regeneration of configure script
- fixed little typo
- release 52.1 (does not build, gcc complains a lot...)

Revision 1.37  2002/04/25 16:16:29  arturs
fixed a small typo

Revision 1.36  2002/04/25 08:29:48  kloczek
- merge translations from KSI.

Revision 1.35  2002/04/16 12:34:13  marcus
- rel.52.

Revision 1.34  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:12:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/08/10 03:13:22  agaran
now builds with current env. (maybe that isnt nicest way..but that works)

Revision 1.30  2001/06/23 18:43:49  zagrodzki
- release 51
- splitted out X11 subpackage

Revision 1.29  2001/06/02 18:27:55  zagrodzki
- for rebuild with new glibc (I think)

Revision 1.28  2001/06/02 18:26:04  zagrodzki
- BuildReq: glibc-static

Revision 1.27  2000/12/14 20:40:15  kloczek
- removed unused Patch5.

Revision 1.26  2000/12/14 20:37:30  kloczek
- updated to 5.32.2 (Release 49 for allow upgrade from RH vversion),
- merged RH patches,
- rewrited %build, %install,
- moved %doc to devel,
- added new URL and Source url,
- added using new rpm automation.

Revision 1.25  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.23  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.21  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed
